org.eclipse.emf.facet.widgets.celleditors.ecore.composite

## Class DoubleComposite

- java.lang.Object
- - Composite
  - - org.eclipse.emf.facet.widgets.celleditors.AbstractCellEditorComposite<T>
    - - org.eclipse.emf.facet.widgets.celleditors.ecore.composite.StringComposite<java.lang.Double>
      - - org.eclipse.emf.facet.widgets.celleditors.ecore.composite.DoubleComposite

All Implemented Interfaces:
  IWidget2<java.lang.Double>

    public class DoubleComposite
    extends StringComposite<java.lang.Double>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.facet.widgets.celleditors.ecore.composite.StringComposite

`StringComposite.IConverter<T>`

### Constructor Summary

Constructors
Constructor and Description
`DoubleComposite(Composite parent)`
`DoubleComposite(Composite parent, int style)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IValidator` `getValidator()`
`StringComposite.IConverter<java.lang.Double>` `initConverter()`
`IStatus` `validate(java.lang.String string)`

### Methods inherited from class org.eclipse.emf.facet.widgets.celleditors.ecore.composite.StringComposite

`getEditable, getText, getValue, setEnabled, setValue`

### Methods inherited from class org.eclipse.emf.facet.widgets.celleditors.AbstractCellEditorComposite

`addChangeListener, addCommitListener, removeChangeListener, removeCommitListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoubleComposite

    public DoubleComposite(Composite parent)

#### DoubleComposite

    public DoubleComposite(Composite parent,
                           int style)

### Method Detail

#### getValidator

    public IValidator getValidator()

Specified by:
  `getValidator` in interface `IWidget2<java.lang.Double>`
Overrides:
  `getValidator` in class `AbstractCellEditorComposite<java.lang.Double>`
Returns:
  the validator used to determine whether an entered value is accepted

#### initConverter

    public StringComposite.IConverter<java.lang.Double> initConverter()

Specified by:
  `initConverter` in class `StringComposite<java.lang.Double>`

#### validate

    public IStatus validate(java.lang.String string)

Specified by:
  `validate` in class `StringComposite<java.lang.Double>`